<?php
/**
 * Created by PhpStorm
 * User: 林志杰
 * Email: 598287049@qq.com
 * Time: 2020/1/2 12:58
 */

namespace app\admin\controller;

use app\BaseController;
use think\facade\View;


class Login extends BaseController
{
    public function index()
    {
        return View::fetch();
    }

    public function check()
    {
        if (!$this->request->isPost()) {
            return show(config('status.error'), '请求方式错误');
        }

        // 参数校验 1、原生方式  2、TP6 验证机制
        $username = $this->request->param('username', '', 'trim');
        $password = $this->request->param('password', '', 'trim');
        $captcha = $this->request->param('captcha', '', 'trim');
        if (empty($username) || empty($password) || empty($captcha)) {
            return show(config('status.error'), '参数不能为空');
        }
        // 验证码校验
        if (!captcha_check($captcha)) {
            // 验证码校验失败
            return show(config('status.error'), '验证码不正确');
        }

        return show(config('status.success'), '登陆成功');
    }
}